
Foreman - Bug #1487

EOF sometimes not found (patch)

02/08/2012 01:23 PM - Adrian Bridgett

Status: Closed   

Priority: Low   

Assignee: Ohad Levy   

Category: Unattended installations   

Target version: 1.0   

Difficulty: trivial Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

In the Preseed Default Finish template, it says:

cat > /etc/puppet/puppet.conf << EOF

<%= snippets "puppet.conf" -%>

EOF

If the puppet.conf snippet doesn't finish with a newline, the EOF is never found as this turns into

cat > /etc/puppet/puppet.conf << EOF

contentsofsnippetEOF

Changing -%> in to %> will stop this being a problem.

Associated revisions

Revision ec80ab80 - 06/24/2012 05:37 AM - Ohad Levy

update default provisioning templates

removed workarounds for RHEL3-4

use bootif=<host mac> for RHEL hosts

tried to do time sync against ntp-server parameter

switched to using epel snippet instead dead epel code

fixed #1487 - EOF sometimes not found

History

#1 - 02/09/2012 06:57 AM - Ohad Levy

sounds good,

do you want to send a git patch?

thanks!

#2 - 02/10/2012 03:59 AM - Adrian Bridgett

I'll give it a go :-)

#3 - 06/24/2012 05:35 AM - Ohad Levy

- Category set to Unattended installations

- Assignee set to Ohad Levy

- Target version set to 1.0

#4 - 06/24/2012 07:13 AM - Ohad Levy

- Status changed from New to Closed

- % Done changed from 0 to 100
Applied in changeset ec80ab80c61ab0e4c063018f5ecf9d72df016abb.
